aboutsummaryrefslogtreecommitdiffstats
path: root/tools/sh/get_current_weather.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/sh/get_current_weather.sh')
-rwxr-xr-xtools/sh/get_current_weather.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/sh/get_current_weather.sh b/tools/sh/get_current_weather.sh
new file mode 100755
index 0000000..47102e0
--- /dev/null
+++ b/tools/sh/get_current_weather.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Get the current weather in a given location.
+# @option --location! The city and optionally the state or country, e.g., "London", "San Francisco, CA".
+
+main() {
+ curl -fsSL "https://wttr.in/$(echo "$argc_location" | sed 's/ /+/g')?format=4&M"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"